package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 题卡详情
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@TableName("exam_card_detail")
public class ExamCardDetail extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题卡ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("card_id")
    private Long cardId;

    private String content;

    @TableField("html_content")
    private String htmlContent;

    @TableField("attachment_id")
    private String attachmentId;

    @TableField("cust_attachment_id")
    private String custAttachmentId;

    @TableField("jpg_attachment_info")
    private String jpgAttachmentInfo;

    public Long getCardId() {
        return cardId;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getCustAttachmentId() {
        return custAttachmentId;
    }

    public void setCustAttachmentId(String custAttachmentId) {
        this.custAttachmentId = custAttachmentId;
    }

    public String getJpgAttachmentInfo() {
        return jpgAttachmentInfo;
    }

    public void setJpgAttachmentInfo(String jpgAttachmentInfo) {
        this.jpgAttachmentInfo = jpgAttachmentInfo;
    }
}
